General Leads
Get general lead details
GET
/
general-leads
/
{generalLeadId}
Get general lead details
curl --request GET \
--url https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"jobDescription": "<string>",
"jobAmount": 123,
"paidAmount": 123,
"detailedProjectDescription": "<string>",
"generalLeadStatus": "<string>",
"specificLeadStatus": "<string>",
"leadSourceType": "<string>",
"assignedVendorId": 123,
"assignedVendorName": "<string>",
"referrerVendorId": 123,
"referrerVendorName": "<string>",
"postalCode": "<string>",
"city": "<string>",
"serviceBoundary": {
"id": 123,
"name": "<string>",
"urlPath": "<string>",
"cityName": "<string>"
},
"contactTime": "<string>",
"contactMethod": "<string>",
"leadTimeframe": "<string>",
"quoteTimeframe": "<string>",
"projectStage": "<string>",
"renofindLeadType": "<string>",
"jobBudget": 123,
"paymentStatus": "<string>",
"phoneLead": true,
"externalNotes": "<string>",
"essentialInternalNotes": "<string>",
"requiresAction": true,
"requireActionReason": "<string>",
"endCustomer": {
"id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>"
}
}
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Path Parameters
⌘I
Get general lead details

